oracle.pgx.api

## Class BipartiteGraph

- java.lang.Object
- - oracle.pgx.api.Destroyable
  - - oracle.pgx.api.PgxManagedObject
    - - oracle.pgx.api.PgxGraph
      - - oracle.pgx.api.BipartiteGraph

- All Implemented Interfaces:
    AutoCloseable

      public class BipartiteGraph
      extends PgxGraph

  A bipartite `PgxGraph`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class oracle.pgx.api.PgxGraph

      `PgxGraph.Degree, PgxGraph.Direction, PgxGraph.Mode, PgxGraph.MultiEdges, PgxGraph.SelfEdges, PgxGraph.TrivialVertices`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<ID extends Comparable<ID>> VertexProperty<ID,Boolean>` | `getIsLeftProperty()` Blocking version of `getIsLeftPropertyAsync()`.
    `<ID extends Comparable<ID>> PgxFuture<VertexProperty<ID,Boolean>>` | `getIsLeftPropertyAsync()` Gets the 'is Left' vertex property of the graph.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.api.PgxGraph

      `bipartiteSubGraphFromLeftSet, bipartiteSubGraphFromLeftSet, bipartiteSubGraphFromLeftSet, bipartiteSubGraphFromLeftSet, bipartiteSubGraphFromLeftSetAsync, bipartiteSubGraphFromLeftSetAsync, bipartiteSubGraphFromLeftSetAsync, bipartiteSubGraphFromLeftSetAsync, clone, clone, clone, cloneAsync, cloneAsync, cloneAsync, createAllPaths, createAllPathsAsync, createComponents, createComponentsAsync, createEdgeProperty, createEdgeProperty, createEdgePropertyAsync, createEdgePropertyAsync, createEdgeSequence, createEdgeSequence, createEdgeSequenceAsync, createEdgeSequenceAsync, createEdgeSet, createEdgeSet, createEdgeSetAsync, createEdgeSetAsync, createMap, createMap, createMap, createMapAsync, createMapAsync, createMapAsync, createPath, createPathAsync, createScalar, createScalar, createScalarAsync, createScalarAsync, createVertexProperty, createVertexProperty, createVertexPropertyAsync, createVertexPropertyAsync, createVertexSequence, createVertexSequence, createVertexSequenceAsync, createVertexSequenceAsync, createVertexSet, createVertexSet, createVertexSetAsync, createVertexSetAsync, filter, filter, filter, filterAsync, filterAsync, filterAsync, getConfig, getCreationRequestTimestamp, getCreationTimestamp, getDataSourceVersion, getEdge, getEdgeProperties, getEdgePropertiesAsync, getEdgeProperty, getEdgePropertyAsync, getEdges, getEdgesAsync, getMemoryMb, getName, getNumEdges, getNumVertices, getPgxInstance, getSession, getVertex, getVertexIdType, getVertexProperties, getVertexPropertiesAsync, getVertexProperty, getVertexPropertyAsync, getVertices, getVerticesAsync, isFresh, isFreshAsync, isTransient, pickRandomVertex, pickRandomVertexAsync, simplify, simplify, simplifyAsync, simplifyAsync, sortByDegree, sortByDegree, sortByDegree, sortByDegree, sortByDegreeAsync, sortByDegreeAsync, sortByDegreeAsync, sortByDegreeAsync, sparsify, sparsify, sparsify, sparsifyAsync, sparsifyAsync, sparsifyAsync, store, store, store, storeAsync, storeAsync, storeAsync, undirect, undirect, undirect, undirect, undirectAsync, undirectAsync, undirectAsync, undirectAsync`

    - ### Methods inherited from class oracle.pgx.api.PgxManagedObject

      `equals, hashCode`

    - ### Methods inherited from class oracle.pgx.api.Destroyable

      `close, destroy, destroyAsync`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getIsLeftProperty

          @Generated(value="src/python/synchronize.py")
          public <ID extends Comparable<ID>> VertexProperty<ID,Boolean> getIsLeftProperty()
                                                                              throws ExecutionException,
                                                                                     InterruptedException

      Blocking version of `getIsLeftPropertyAsync()`. Calls `getIsLeftPropertyAsync()` and waits for returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### getIsLeftPropertyAsync

          public <ID extends Comparable<ID>> PgxFuture<VertexProperty<ID,Boolean>> getIsLeftPropertyAsync()

      Gets the 'is Left' vertex property of the graph.
      Returns:
        the vertex property object or null if no such property exists

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PgxGraph`

Copyright © 2015. All rights reserved.